package com.aps.service;

import com.aps.entity.UserStrategyRule;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;
import com.aps.entity.StrategyScheduling;

public interface UserStrategyRuleService extends IService<UserStrategyRule> {
    Map<String, Object> getEffectiveRule(Map<String, Object> params);

    Map<String, Object> saveUserRule(Map<String, Object> params);

    boolean resetUserRule(Map<String, Object> params);

    List<Map<String, Object>> getGlobalRules();

    List<Map<String, Object>> getStrategyOptions(Long userId);

    List<StrategyScheduling> getEffectiveForwardScheduling(Long userId, Long baseRuleId, String sceneId);

    List<StrategyScheduling> getEffectiveForwardScheduling(Long userId, Long baseRuleId, String sceneId, String userRuleId);
}
